%define _requires_exceptions devel(libtracker-data)\\|devel(libtracker-common)  
%define name	tracker
%define version	0.14.2
%define release %mkrel 1
%define major	0
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Desktop-neutral metadata-based search framework
Summary(de):	Desktop-neutrale, auf Metadaten basierende Suchumgebung. 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://projects.gnome.org/tracker/%{name}-%{version}.tar.xz
Patch0:		tracker-extract-pdf-crash-fix.patch
Patch1:         tracker-0.14.2-onlyshowin.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.tracker-project.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	sqlite3-devel >= 3.6.16
BuildRequires:	dbus-devel
BuildRequires:	glib2-devel
BuildRequires:  firefox 
BuildRequires:  mozilla-thunderbird
BuildRequires:	zlib-devel
BuildRequires:	libgmime2.2-devel
BuildRequires:	libgstreamer-devel >= 0.10
BuildRequires:  libgstreamer-plugins-base0.10-devel
BuildRequires:	libpoppler-glib-devel 
BuildRequires:	pygtk2.0-devel
BuildRequires:	libvorbis-devel
BuildRequires:	png-devel
BuildRequires:	libexif-devel
BuildRequires:	libgsf-devel
BuildRequires:	gamin-devel
BuildRequires:	libgnome2-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	hal-devel
BuildRequires:	exempi-devel
BuildRequires:	deskbar-applet
BuildRequires:	ImageMagick
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	gtk-doc
BuildRequires:	libraptor-devel
BuildRequires:	gettext-devel
BuildRequires:  libgee-devel
BuildRequires:	libtiff-devel
BuildRequires:  libcue-devel
BuildRequires:  sqlite3-tools
BuildRequires:  libuuid-devel
BuildRequires:  vala-devel
BuildRequires:  libpanel-applet-2-devel
BuildRequires:  dia
Requires:	libxslt-proc
Requires:	w3m
Requires:	wv
Provides: tracker-applet
Obsoletes: tracker-applet
Provides: tracker-common
Obsoletes: tracker-common
Provides: tracker-deskbar-handler
Obsoletes:tracker-deskbar-handler
Provides:tracker-preferences
Obsoletes:tracker-preferences
Provides: tracker-search-tool
Obsoletes: tracker-search-tool
Obsoletes: %{name} < %version
Requires:  glibc >= 2.12.1
Requires:  libstdc++6 >= 4.5.2


%description
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

#german
%description -l de
Tracker ist eine Umgebung, um Informationen und Metadaten über Ihre persönlichen 
Daten zu extrahieren, so dass sie schnell und problemlos durchsucht werden können. 
Tracker ist Desktop-neutral, schnell und wirkungsvoll bei den Ressourcen. 

#french
%description -l fr
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

#spanish
%description -l es
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

#polish
%description -l pl
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

#serbian
%description -l sr
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

#dutch
%description -l nl
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library of Tracker

%description -n %{libname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{develname}
Group:		Development/C
Summary:	Development library of Tracker
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname tracker 0 -d}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .onlyshowin

%build

./configure \
 --prefix=%{_prefix} \
 --with-firefox-plugin-dir=%{_libdir}/mozilla/extensions \
 --with-thunderbird-plugin-dir=%{_libdir}/thunderbird-15.0/extensions	\
 --disable-functional-tests \
 --enable-gtk-doc \
 --disable-hal 

%make  

%install
rm -rf %{buildroot}
%makeinstall_std



mkdir -p %{buildroot}/%{_sysconfdir}/xdg/
mv %{buildroot}/usr/%{_sysconfdir}/xdg/* \
%{buildroot}/%{_sysconfdir}/xdg/

# desktop-file-install --vendor="" \
#        --add-category="GNOME;GTK" \
#	--add-category="X-MandrivaLinux-System-FileTools" \
#	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-needle.desktop

# desktop-file-install --vendor="" \
#        --add-category="GNOME;GTK" \
#	--add-category="X-MandrivaLinux-System-Settings" \
#	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-preferences.desktop



mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 data/icons/48x48/%{name}.png \
%{buildroot}/%{_datadir}/pixmaps/%{name}.png
rm -rf %{buildroot}/usr/%{_sysconfdir}/xdg
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_datadir}/tracker-tests

%find_lang %{name}
%post 
%{update_icon_cache hicolor}
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%{update_menus}

%postun 
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%{clean_icon_cache hicolor}
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%{_sysconfdir}/xdg/autostart/tracker-miner-fs.desktop
%{_sysconfdir}/xdg/autostart/tracker-store.desktop
# %{_bindir}/%{name}-needle
%{_bindir}/%{name}-info
%{_bindir}/%{name}-control
%{_bindir}/%{name}-search
%{_bindir}/%{name}-stats
%{_bindir}/%{name}-tag
# %{_bindir}/%{name}-explorer
%{_bindir}/%{name}-import
# %{_bindir}/%{name}-preferences
%{_bindir}/%{name}-sparql
%_libexecdir/tracker-0.14
# %_libdir/nautilus/extensions-2.0/libnautilus-tracker-tags.so
/usr/libexec/tracker-extract
/usr/libexec/tracker-miner-fs
/usr/libexec/tracker-store
/usr/libexec/tracker-writeback
%{_iconsdir}/hicolor/*/apps/%{name}.*
%_libdir/girepository-1.0/Tracker-0.14.typelib
%_libdir/girepository-1.0/TrackerExtract-0.14.typelib
%_libdir/girepository-1.0/TrackerMiner-0.14.typelib
%_libdir/mozilla/extensions/trackerfox@bustany.org
%_libdir/thunderbird-15.0/extensions/trackerbird@bustany.org
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
# %{_datadir}/applications/tracker-preferences.desktop
%{_datadir}/applications/trackerbird-launcher.desktop
# %{_datadir}/applications/tracker-needle.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Applications.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner.Files.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Writeback.service
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/xul-ext/trackerfox
%{_datadir}/xul-ext/trackerbird
%{_mandir}/man1/*.1.bz2

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%attr(644,root,root) 
%{_includedir}/%name-0.14/libtracker-extract/*.h
%{_includedir}/%name-0.14/libtracker-miner/*.h
%{_libdir}/%name-0.14/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Tracker-0.14.gir
%{_datadir}/gir-1.0/TrackerExtract-0.14.gir
%{_datadir}/gir-1.0/TrackerMiner-0.14.gir
%{_datadir}/vala/vapi/tracker*.*
%{_includedir}/tracker-0.14/libtracker-sparql/*.h
%{_datadir}/gtk-doc/html/*



%changelog
* Fri Sep 28 2012 Neal <nealbrks0 at gmail dot com> 0.14.2-1pclos2012
- add BuildRequires:  dia
- process

* Thu Sep 27 2012 Ken <lxgator at gmail.com> 0.14.2-1pclos2012
- 0.14.2

* Tue Apr 26 2011 Texstar <texstar at gmail.com> 0.9.24-2pclos2011
- remove network manager dependency

* Wed Oct 13 2010 Texstar <texstar at gmail.com> 0.9.24-1pclos2010
- 0.9.24

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 0.9.0-2pclos2010
- rebuild against updated evolution-data-server

* Sat Apr 10 2010 slick50 <lxgator@gmail.com> 0.9.0-1pclos2010
- 0.9.0

* Thu Apr 01 2010 slick50 <lxgator@gmail.com> 0.8.0-1pclos2010
- 0.8.0

* Thu Mar 25 2010 slick50 <lxgator@gmail.com> 0.7.28-1pclos2010
- 0.7.28

* Sat Mar 20 2010 slick50 <lxgator@gmail.com> 0.7.27-1pclos2010
- 0.7.27
- add BR libpanel-applet-2_2-devel (tex)

* Thu Mar 11 2010 slick50 <lxgator@gmail.com> 0.7.25-1pclos2010
- 0.7.25

* Thu Mar 04 2010 slick50 <lxgator@gmail.com> 0.7.24-1pclos2010
- 0.7.24

* Thu Feb 11 2010 slick50 <lxgator@gmail.com> 0.7.20-1pclos2010
- 0.7.20

* Thu Feb 04 2010 slick50 <lxgator@gmail.com> 0.7.19-1pclos2010
- 0.7.19

* Thu Jan 21 2010 slick50 <lxgator@gmail.com> 0.7.17-1pclos2010
- 0.7.17

* Thu Jan 14 2010 slick50 <lxgator@gmail.com> 0.7.16-1pclos2010
- 0.7.16

* Thu Jan 07 2010 slick50 <lxgator@gmail.com> 0.7.15-1pclos2010
- 0.7.15

* Tue Dec 29 2009 slick50 <lxgator@gmail.com> 0.7.14-1pclos2010
- 0.7.14

* Wed Dec 23 2009 slick50 <lxgator@gmail.com> 0.7.13-1pclos2010
- 0.7.13

* Fri Dec 18 2009 slick50 <lxgator@gmail.com> 0.7.12-1pclos2010
- 0.7.12

* Fri Dec 11 2009 slick50 <lxgator@gmail.com> 0.7.11-1pclos2010
- 0.7.11

* Fri Dec 05 2009 slick50 <lxgator@gmail.com> 0.7.10-1pclos2010
- 0.7.10

* Fri Nov 20 2009 slick50 <lxgator@gmail.com> 0.7.8-1pclos2010
- 0.7.8

* Sat Nov 14 2009 slick50 <lxgator@gmail.com> 0.7.7-1pclos2010
- 0.7.7

* Fri Nov 06 2009 slick50 <lxgator@gmail.com> 0.7.6-1pclos2010
- 0.7.6

* Thu Oct 22 2009 slick50 <lxgator@gmail.com> 0.7.3-1pclos2010
- 0.7.3
- add BR evolution-devel

* Sat Oct 17 2009 Texstar <texstar at gmail.com> 0.7.1-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 0.7.1-1pclos2010
- 0.7.1
- add BR sqlite3-tools (Tex)

* Sat May 30 2009 don_crissti <don_crissti@gmx.com> 0.6.90-1pclos2009
+ patch1: fix build with new gmime-2.4
- BR: gtk-doc, poppler-glib-devel (instead poppler-devel)
- BR: gettext-devel, raptor-devel, tiff-devel

* Wed Nov 12 2008 Matthew Dawkins <mdawkins@osource.org> 0.6.6-2
- rebuild against poppler 0.10.0

* Fri Aug 29 2008 don_crissti <don_crissti@gmx.com> 0.6.6-1pclos2007
- build for PCLinuxOS

